## alg3py 12.07.15-0extras12.04.1

=== debian/changelog ===
alg3py (12.07.15-0extras12.04.1) precise; urgency=low

  * New release.

 -- Jorge Alda <jorgealda115@gmail.com>  Sat, 07 Jul 2012 21:05:49 +0200
