=== debian/control ===
Source: alg3py
Section: python
Priority: extra
Build-Depends: debhelper (>= 8), libglib2.0-bin, python (>= 2.6.6-3~),
 python-distutils-extra (>= 2.10)
Maintainer: Jorge Alda <jorgealda115@gmail.com>
Standards-Version: 3.9.3
XS-Python-Version: current
Homepage: https://launchpad.net/alg3py

Package: alg3py
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${misc:Depends},
 ${python:Depends},
 gir1.2-gtk-3.0,
 python-dbus,
 gir1.2-glib-2.0,
 ubuntuone-couch,
 gir1.2-unity-5.0,
 python-gobject-2,
 python-ubuntuone-client,
 gir1.2-launchpad-integration-3.0,
 yelp,
 quickly-widgets,
 dbus,
 python-ubuntuone-client,
 python-gobject
Description: linear algebra computation tool
 Alg3py is a visual tool to operate with algebraical matrices, vectors 
 and scalars:
   - Basic operations, such as addition, substraction, multiplication, 
     inverse, transpose etc
   - Work with as many items as you want in one window
   - Save your work in .alg3 files
   - Direct export to TeX and MathML files
   - Add new features with plugins written in Python
   - Ubuntu integration: Upload and download files to UbuntuOne in one 
     click. Number of items opened displayed in unity launcher
