=== debian/rules ===
#!/usr/bin/make -f
%:
ifneq ($(shell dh -l | grep -xF translations),)
	dh $@ --with python2,translations
else
	dh $@ --with python2
endif

override_dh_auto_install:
	dh_auto_install -- --install-scripts=/opt/extras.ubuntu.com/alg3py                 --install-data=/opt/extras.ubuntu.com/alg3py                 --install-lib=/opt/extras.ubuntu.com/alg3py

override_dh_python2:
	dh_python2 /opt/extras.ubuntu.com/alg3py


override_dh_install:
	dh_install
	mkdir -p debian/alg3py/opt/extras.ubuntu.com/alg3py/bin
	if [ -x debian/alg3py/opt/extras.ubuntu.com/alg3py/alg3py/alg3py ]; then mv debian/alg3py/opt/extras.ubuntu.com/alg3py/alg3py/alg3py debian/alg3py/opt/extras.ubuntu.com/alg3py/bin; fi
	if [ -f debian/alg3py/opt/extras.ubuntu.com/alg3py/share/applications/alg3py.desktop ]; then \
		mkdir -p debian/alg3py/usr/share/applications; \
		mv debian/alg3py/opt/extras.ubuntu.com/alg3py/share/applications/alg3py.desktop debian/alg3py/usr/share/applications/extras-alg3py.desktop; \
		rmdir --ignore-fail-on-non-empty debian/alg3py/opt/extras.ubuntu.com/alg3py/share/applications; \
		sed -i 's|Exec=.*|Exec=/opt/extras.ubuntu.com/alg3py/bin/alg3py|' debian/alg3py/usr/share/applications/extras-alg3py.desktop; \
		sed -i 's|Icon=/usr/|Icon=/opt/extras.ubuntu.com/alg3py/|' debian/alg3py/usr/share/applications/extras-alg3py.desktop; \
	fi
	grep -RlZ 'import gettext' debian/alg3py/* | xargs -0 -r sed -i 's|\(import\) gettext$$|\1 locale|'
	grep -RlZ 'from gettext import gettext as _' debian/alg3py/* | xargs -0 -r sed -i 's|from gettext \(import gettext as _\)|from locale \1|'
	grep -RlZ "gettext.textdomain('alg3py')" debian/alg3py/* | xargs -0 -r sed -i "s|gettext\(\.textdomain('alg3py')\)|locale\.bindtextdomain('alg3py', '/opt/extras.ubuntu.com/alg3py/share/locale')\nlocale\1|" 
	sed -i "s|__alg3py_data_directory__ =.*|__alg3py_data_directory__ = '/opt/extras.ubuntu.com/alg3py/share/alg3py/'|" debian/alg3py/opt/extras.ubuntu.com/alg3py/alg3py*/alg3pyconfig.py
	sed -i 's|        sys.path.insert(0, opt_path)|\0\n    os.putenv("XDG_DATA_DIRS", "%s:%s" % ("/opt/extras.ubuntu.com/alg3py/share/", os.getenv("XDG_DATA_DIRS", "")))|' debian/alg3py/opt/extras.ubuntu.com/alg3py/bin/alg3py
	if [ -d debian/alg3py/opt/extras.ubuntu.com/alg3py/share/glib-2.0/schemas ]; then glib-compile-schemas debian/alg3py/opt/extras.ubuntu.com/alg3py/share/glib-2.0/schemas; fi
